KJL - Bug #2562

Error Save Production Order
02/07/2024 11:50 AM - jihad ....

Status: Closed Start date: 02/07/2024
Priority: Urgent Due date: 02/09/2024
Assignee: jihad .... % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour

Description
Dear mba yoma,

Terjadi error saat save production Order pada tab Felxible Inspection dan Wrapping Inspection. untuk save header dan tab lainnya
aman.

Berikut tampilan errornya:

1000005 - Error Error Failed to convert parameter value from a String to a Decimal. Query: UPDATE PTRPRODINSPECTION1 SET DocNo = @DocMo,DocltemID = X
@DocltemID,DocltemRef = @DocltemRef ltemType = @ItemType, Sequence = @Sequence,Jam = @Jam,Speed = @Speed MaterialNo = @MaterialNo,VisualPotongan =
@VisualPotongan, VisualLurus = @VisualLurus, VisualBulat = @VisualBulat,Panjang = @Panjang,Diameter = @Diameter,Berat = @Berat, SudutDiagonal =

@SudutDiagonal, PackQty = @PackQty,Sealing = @Sealing, HasilProduksiBoxCtn = @HasilProduksiBoxCtn,KaShift = @KaShift, QC = @QC,QuantitySample =

@QuantitySample Permukaan = @Permukaan,Potongan = @Potongan,Bulat = @Bulat,Kebersihan = @Kebersihan,Kering = @Kering, Color = @Color,Bau = @Bau,Diagonal =
{@Diagonal UjiFlexible = @UjiFlexible, Hasil = @Hasil HasilProduksiKG = @HasilProduksiKG WHERE DocMo = @DocMo AND DocltemlD = @Docltem|D AND Sequence =
@Sequence

Menu: Production Order

Port: http://remote.minovais.com:61138/
Server: remote.minovais.com,1452

DB: MinovaES_KJL_Prod

Terima kasih.

History

#1 - 02/07/2024 11:55 AM - Anonymous

- Priority changed from Normal to Urgent

#2 - 02/07/2024 11:57 AM - Kezia Pawitra Yulianti
- Due date set to 02/09/2024

- Status changed from New to Assigned

#3 - 02/09/2024 04:03 PM - Tri Rizqiaty
- File clipboard-202402091602-5119¢c.png added

- Status changed from Assigned to Developing

Fixing :

Tolong setiap membuat table, tipe data setiap field harus sama antara di table fisik & di SDATATABLEFIELD, jangan seperti gambar dibawah ini :
http://remote.minovais.com:61138/

Object Explorer DATATABLEFIELD # X S uery2.sql - not connected

not connected

ueryl.sql - not connected

SQLQuery1.sql

Connect~ ¥ *§ & Column Alias Table Output  Sort Type Sort Order Filter or.. or..
i B dbo.P TRPRODUCTIONGENERALCOST [2_|TableName SDATATABL.. @
#/ EE dbo,PTRPRODUCTIONHEAD FieldName SDATATABL.
SRz cibo. PTRPRODUCTIONITEM] SeqNum SDATATABL.. @
= 1 Columns DataRef SDATATABL...
w0 DocNo (PK, varchar(20), not null) DataType SDATATABL. [
w0 DocltemlID (PK, varchar(20), not null)
B DocltemRef (varchar(20), null) igfth Ziﬂ:liztm :
B itemType (varchar(20), null)
B Status (varchar(20), null Scale SDATATABL.
B FlowType (varchar(20), null) TableRef SDATATABL...
B MateriallD (varchar(10), null) FixedValue SDATATABL...
B Quantity (decimal(18,2), null) SearchFunction SDATATABL.
B UnitQuantiti (varchar(20), null) SearchType SDATATABL.. @
B CreateDate (varchar(14), null) IsPrimaryKey SDATATABL...
B CreateBY (varchar(18), null) Isidentity SDATATABL. 2
B cChangeDate (varchar(14), null)
B ChangeBY (varchar(18), nall AllowNull SDATATABL...
B Currency (varchar(d), null SelectFunction SDATATABL.. @
B PriceAmount (decimal(18,2), null) IsindexKey SDATATABL. ]
E UnitPrice (varchar(30), null) IsDescindexKey SDATATABL... [ ]
B RefDocTr (varchar(50), null) = - -
H RefDocTy (varchar(s0), null) TableName FieldName SeqN.. DatDataReffaT.. Length Prec  Scale Table.. Fixed.. Searc.. Searc.. IsPrim.. Isiden.. Allow.. Select.. Isinde.. IsDes.. Form..
B RefDocID (varchar(50), null) PTRPRODUCTIONITEM  ItemType 6 ITEMT... 0 20 0 0 PCML... 0 0 0 1 debug.. 0 0 «
B ProcessNumber (varchar(20), null) » | PTRPRODUCTIONITEM  MAP 23 MAP 3 20 0 2 0 0 1 0 0 amount (
B MaterialType (varchar(20), null PTRPRODUCTIONITEM  MaterialDesc 8 MATD... 0 50 0 0 NULL 0 0 1 0 0
B MaterialDesc (varchar(50), null) PTRPRODUCTIONITEM  MateriallD 7 MATID 0 10 0 0 PMD.. NULL 5 0 0 1 0 0
B ProcessiD (varchar(14), null PTRPRODUCTIONITEM  MaterialType 9 MATT.. 0 20 0 0 PCMFI... 0 0 0 1 0 0
B storage (varchar(40), null) PTRPRODUCTIONITEM  PriceAmount 14 PRICE 3 20 0 2 0 0 1 0 0 amount (
B Warehouse (varchar(40), nul) PTRPRODUCTIONITEM  ProcessiD 16 PROCID 0 20 0 0 NULL 0 0 0 0 0
B Bin (varchar(20), null
B MAP (varchar(20) null) PTRPRODUCTIONITEM  ProcessNumber 2 PRON.. 0 20 0 0 PCMP... NULL 4 0 0 1 0 0
H TotalCost (varchar(20), null) PTRPRODUCTIONITEM  Quantity 10 QUAN 3 20 0 2 0 0 1 debug.. 0 0 (
] Keys PTRPRODUCTIONITEM RefDocID 20 REFD.. 0 20 0 0 NULL 0 0 1 0 0
# 1 Constraints PTRPRODUCTIONITEM  RefDocTr 21 REFD.. 0 20 0 0 NULL 0 0 1 0 0
+ 1 Triggers PTRPRODUCTIONITEM  RefDocTy 22 REFD.. 0 20 0 0 NULL 0 0 1 0 0
& Indexes PTRPRODUCTIONITEM Status 15 MATS... 0 20 0 0 P=Part... 0 0 0 0 0 0
[+ [ Statistics PTRPRODUCTIONITEM  Storage 17 STOR.. 0 40 0 0 NULL 0 0 0 0 0
#) B dbo PTRPRODUCTIONLABORS PTRPRODUCTIONITEM  TotalCost 14 TOTAL. 3 20 o 0 NULL 0 0 1 0 0 amount ¢
i B dbo PTRPRODUCTIONPROCESSOVERVIEW PTRPRODUCTIONITEM UnitPrice 12 UNITP... 3 30 0 2 0 0 1 debug.. 0 0 amount (
# B dbo.PTRPRODUCTIONTEMPHEAD
DTRPRANIICTIONITEM 1 InifCuiantiti 3 T 2 >n n n DOMEL n n n . n n
# EE dbo.PTRPURCHATTACH
[# [EE dbo.PTRPURCHDETAIL M4 12 of28 b M D
#4 - 02/09/2024 04:03 PM - Tri Rizqgiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to jihad ....
#5 - 02/09/2024 06:15 PM - jihad ....
- Status changed from QA Test to Assigned
- Assignee changed from jihad .... to Tri Rizgiaty
masih belum bisa mba
#6 - 02/12/2024 10:34 AM - jihad ....
- Status changed from Assigned to Closed
- Assignee changed from Tri Rizqiaty to jihad ....
Files
